from five import grok
from plone.indexer import indexer

from .link import ILink

from collective.dms.basecontent.dmsdocument import IDmsDocument

@indexer(IDmsDocument)
def object_folders(obj, **kw):
    folders = []
    for id, item in obj.contentItems():
        if not ILink.providedBy(item):
            continue
        folders.append(str(item.folder.to_id))
    return folders
grok.global_adapter(object_folders, name='object_folders')
